<?php

define('_IN_JOHNCMS', 1);

$headmod = 'world war';
$textl = 'Войны миров! | Регистрация';
require_once ("../incfiles/core.php");
require_once ("../incfiles/head.php");

           if (!$user_id) {
            echo display_error('Только для зарегистрированных');
            exit;
        }

$action=htmlspecialchars(trim($_GET['action']));



switch ($action){
default:
echo "<b>Регистрация</b><br/>";

echo'Ты можешь выбрать клас своего героя<br/>';


if($datauser['ww']==1){echo '<b>Вы уже зарегистрированы!</b>';
}else{
echo '<div class="menu">Выбери героя</div>';

echo '<img src="images/warior.jpg" alt=""/><br/>';
echo'&raquo; <a href="?action=ok&amp;id=1">Воин</a><br/>';
echo'Параметры:<br /> <font color="blue">Жизнь 120<br/>Мин.Урон 4<br/>Макс.Урон 7<br/>Броня 5</font><br/>';
echo'Дополнительно:<br /> Есть возможность использовать двуручное оружие которое наносит большой урон противнику<br/>';
/*                Лучник                  */
echo '<img src="images/bowman.jpg" alt=""/><br />';
echo'&raquo; <a href="?action=ok&amp;id=2">Лучник</a><br />';
echo'Параметры:<br /> <font color="blue">Жизнь 110<br/>Мин.Урон 1<br/>Макс.Урон 8<br/>Броня 3</font><br />';
echo'Дополнительно:<br /> Хорошая атака но есть большая возможность промахнуться, или нанести минимальный урон!<br/>';
/*                МАГ                  */
echo '<img src="images/mag.jpg" alt=""/><br />';
echo '&raquo; <a href="?action=ok&amp;id=3">Маг</a><br/>';
echo 'Параметры:<br /> <font color="blue">Жизнь 100<br/>Мин.Урон 5<br/>Макс.Урон 8<br/>Броня 1</font><br/>';
echo 'Дополнительно:<br /> Хорошая атака но жизни не так много как у воина<br />'; 

}

require_once ("../incfiles/end.php");

break;


case 'ok':
$pr=(int)$_GET['id'];
if(!$pr || $pr > 3)echo 'Неверные параметры! ';
if($datauser['ww']==1){echo '<b>Вы уже зарегистрированы!</b>';break;}
$user=$datauser;
if($pr == 1) {
    $hp = 120;
    $bron = 5;
    $minu = 4;
    $maxu = 7;
    $img = 'warior';
} elseif($pr == 2) {
    $hp = 110;
    $bron = 3;
    $minu = 1;
    $maxu = 8;
    $img = 'bowman';
} else {
    $bron = 1;
    $hp = 100;
    $minu = 5;
    $maxu = 8;
    $img = 'mag';
}
mysql_query("INSERT INTO `uww` (`uid`, `clas`, `coins`, `exp`, `hp`, `maxu`, `minu`, `brona`, `head`, `tors`, `ruka`, `foot`, `hp_time`) VALUES
('$user_id', '$pr', '50', '0', '$hp', '$maxu', '$minu', '$bron', '0', '0', '0', '0', '" . time() . "');");
mysql_query("UPDATE `users` SET `ww` = '1' WHERE `id` = '$user_id' LIMIT 1");

mysql_query("INSERT INTO `wwzadan_users` (`uid`) VALUES ('$user_id');");

echo 'Вы успешно зарегистрировались в игре!<br/>
      <img src="images/'.$img.'.jpg" alt=""/><br />
      Характеристики: <br />
      Жизнь: '.$hp.'<br />
      Мин.Урон: '.$minu.'<br />
      Броня: '.$bron.'<br />
      Так же вам начислено 50 монет для начала игры<br />';
echo '<div class="msg"><a href="index.php">В игру</a></div>';
break;
};
require_once ("../incfiles/end.php");
?>